%define name 	OpenGroupware.org
%define version 1.0
%define release 11mdk

Summary: 	Opengroupware.org project environment
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Group:	 	Networking/Other
License: 	GPL
Source:		%{name}.tar.bz2
URL:	 	http://www.opengroupware.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch: 	noarch
Provides: 	opengroupware.org-webserver

Prereq: apache2
Prereq: openldap
Prereq: shadow-utils
Prereq: zlib
Prereq: postgresql-server >= 7.2
Requires: opengroupware-gstep-make 
Requires: opengroupware-gstep-objc 
Requires: opengroupware-libfoundation 
Requires: opengroupware-js 
Requires: opengroupware-libical 
Requires: opengroupware-xml
Requires: opengroupware-core 
Requires: opengroupware-core-tools 
Requires: opengroupware-gstep-db 
Requires: opengroupware-gstep-db-postgresql72
Requires: opengroupware-sope 
Requires: opengroupware-env 
Requires: opengroupware-logic 
Requires: opengroupware-docapi
Requires: opengroupware-database 
Requires: opengroupware-tools-account
Requires: opengroupware-webui-libs 
Requires: opengroupware-webui-common
Requires: opengroupware-webui-admin
Requires: opengroupware-webui-app 
Requires: opengroupware-webui-contact 
Requires: opengroupware-webui-job 
Requires: opengroupware-webui-mailer
Requires: opengroupware-webui-news
Requires: opengroupware-webui-prefs
Requires: opengroupware-webui-resource-en
Requires: opengroupware-webui-scheduler
Requires: opengroupware-webui-forms
Requires: opengroupware-webui-project 
Requires: opengroupware-theme-default-en
Requires: opengroupware-zidestore
Requires: apache2-mod_ngobjweb

%description
This package installs all of the basic parts of the OpenGroupware.org project.
It is strongly recommended for users to visit http://www.opengroupware.org for
further documentation and usage.

%prep
%setup -n OpenGroupware.org

%build

%install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc HOWTO.OGo SxArchitecture.png SKYRIX_41_adminmanual.pdf xml-rpc-en.pdf opengroupware.sh.example

%changelog
* Tue May 25 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-11mdk
- update

* Fri Feb 13 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-10mdk
- readd apache2-mod_ngobjweb
- update HOWTO for ML10

* Mon Dec 22 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-9mdk
- remove a requires

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-8mdk
- more docs
- remove redundant drivers until environment is established

* Wed Nov 7 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-7mdk
- remove opengroupware-publisher (not needed initially)
- remove requires for opengroupware-gstep-make-devel (handled internally)

* Tue Oct 28 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-6mdk
- really correct permissions

* Mon Oct 27 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-5mdk
- correct permissions

* Sun Oct 26 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-4mdk
- add additional packages
- add preliminary documentation

* Tue Oct 7 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-3mdk
- more requires

* Wed Sep 17 2003 Austin Acton <aacton@yorku.ca> 1.0-2mdk
- fix mod requires

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- initial packge to replace opengroupware-webui-base
